bandwidth {spam} | R Documentation

## Bandwidth of a Sparse Matrix

### Description

Returns the lower and upper bandwidth of a sparse matrix

### Usage

    bandwidth(A)

### Arguments

`A` | spam object

### Details

The matrix does not need to be diagonal. Values can be negative indicating the the matrix contains a band cinfined in the upper or lower triangular part.

### Value

Integer vector containing the lower and upper bandwidth

### Author(s)

Reinhard Furrer

### See Also

`diag.spam`.

### Examples

    bandwidth(spam(c(0, 1), 3, 2))

    bandwidth(spam(c(0, 0, 1, rep(0, 9)), 4, 3))

[Package spam version 2.2-2 Index]